package com.kingdee.eas.custom.gggl;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPayRequestInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractPayRequestInfo()
    {
        this("id");
    }
    protected AbstractPayRequestInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 付款申请单 's 公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("company");
    }
    public void setCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("company", item);
    }
    /**
     * Object: 付款申请单 's 客户 property 
     */
    public com.kingdee.eas.basedata.master.cssp.CustomerInfo getCustomer()
    {
        return (com.kingdee.eas.basedata.master.cssp.CustomerInfo)get("customer");
    }
    public void setCustomer(com.kingdee.eas.basedata.master.cssp.CustomerInfo item)
    {
        put("customer", item);
    }
    /**
     * Object:付款申请单's 付款金额property 
     */
    public java.math.BigDecimal getHtAmount()
    {
        return getBigDecimal("htAmount");
    }
    public void setHtAmount(java.math.BigDecimal item)
    {
        setBigDecimal("htAmount", item);
    }
    /**
     * Object: 付款申请单 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getZrPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("zrPerson");
    }
    public void setZrPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("zrPerson", item);
    }
    /**
     * Object: 付款申请单 's 申请部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDeparment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("deparment");
    }
    public void setDeparment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("deparment", item);
    }
    /**
     * Object:付款申请单's 描述property 
     */
    public String getHtnn()
    {
        return getString("htnn");
    }
    public void setHtnn(String item)
    {
        setString("htnn", item);
    }
    /**
     * Object: 付款申请单 's 合同号/名称 property 
     */
    public com.kingdee.eas.custom.gggl.SaleContractInfo getContract()
    {
        return (com.kingdee.eas.custom.gggl.SaleContractInfo)get("contract");
    }
    public void setContract(com.kingdee.eas.custom.gggl.SaleContractInfo item)
    {
        put("contract", item);
    }
    /**
     * Object: 付款申请单 's 付款类型 property 
     */
    public com.kingdee.eas.fi.cas.PaymentBillTypeInfo getPayType()
    {
        return (com.kingdee.eas.fi.cas.PaymentBillTypeInfo)get("payType");
    }
    public void setPayType(com.kingdee.eas.fi.cas.PaymentBillTypeInfo item)
    {
        put("payType", item);
    }
    /**
     * Object:付款申请单's 押金property 
     */
    public java.math.BigDecimal getYjAmount()
    {
        return getBigDecimal("yjAmount");
    }
    public void setYjAmount(java.math.BigDecimal item)
    {
        setBigDecimal("yjAmount", item);
    }
    /**
     * Object:付款申请单's 市场部扣减金额property 
     */
    public java.math.BigDecimal getScAmount()
    {
        return getBigDecimal("scAmount");
    }
    public void setScAmount(java.math.BigDecimal item)
    {
        setBigDecimal("scAmount", item);
    }
    /**
     * Object:付款申请单's 开户行property 
     */
    public String getBank()
    {
        return getString("bank");
    }
    public void setBank(String item)
    {
        setString("bank", item);
    }
    /**
     * Object:付款申请单's 银行账户property 
     */
    public String getBankNum()
    {
        return getString("bankNum");
    }
    public void setBankNum(String item)
    {
        setString("bankNum", item);
    }
    /**
     * Object:付款申请单's 财务收据单号property 
     */
    public String getCwsjNum()
    {
        return getString("cwsjNum");
    }
    public void setCwsjNum(String item)
    {
        setString("cwsjNum", item);
    }
    /**
     * Object:付款申请单's 市场部意见property 
     */
    public String getScbyj()
    {
        return getString("scbyj");
    }
    public void setScbyj(String item)
    {
        setString("scbyj", item);
    }
    /**
     * Object:付款申请单's 商运部扣款金额property 
     */
    public java.math.BigDecimal getSy()
    {
        return getBigDecimal("sy");
    }
    public void setSy(java.math.BigDecimal item)
    {
        setBigDecimal("sy", item);
    }
    /**
     * Object:付款申请单's 商运部意见property 
     */
    public String getSybyj()
    {
        return getString("sybyj");
    }
    public void setSybyj(String item)
    {
        setString("sybyj", item);
    }
    /**
     * Object:付款申请单's 物业扣减金额property 
     */
    public java.math.BigDecimal getWyAmount()
    {
        return getBigDecimal("wyAmount");
    }
    public void setWyAmount(java.math.BigDecimal item)
    {
        setBigDecimal("wyAmount", item);
    }
    /**
     * Object:付款申请单's 物业意见property 
     */
    public String getWyyj()
    {
        return getString("wyyj");
    }
    public void setWyyj(String item)
    {
        setString("wyyj", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B48C7725");
    }
}